<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>

<xsl:template match="/gbook">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title><xsl:value-of select="info/user"/>'s guestbook</title>
<meta name="author" content="HotHeart,热血心肠,vipxjw@163.com" />
<meta name="Copyright" content="www.xujiwei.cn,HotHeart,版权所有" />
<link href="gbook.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript" src="gbook.js"></script>
</head>
<body>
	<div id="bodymain">
	<xsl:apply-templates select="info"/>
	<xsl:apply-templates select="messages"/>
	<div class="msg_block">
	<div class="msg_header">Post a new message<a name="writenew" /></div>
		<div class="msg_content post_new">
		<form name="newmsg" method="post" action="gbook.asp?action=postnew" onsubmit="return CheckForm();">
			Name: <input title="your name or nickname here" type="text" size="40" maxlength="30" name="name" id="name"/><br />
			Home: <input title="your homepage here" type="text" size="40" maxlength="100" name="homepage" id="homepage"/><br />
			Content:<br />
			<textarea name="content" id="content" rows="6" cols="64" title="what you want to say here"></textarea><br />
			<input title="submit your message" class="input_button" type="submit" value="Submit"/> | <input title="clear your input" class="input_button" type="reset" value="Reset"/>
		</form>
	</div>
	</div>
	<div id="foot">Power by <a title="SXGB's website" target="_blank" href="http://www.xujiwei.cn">SXGB</a>, Copyright 2005-2006, <a title="author's blog" target="_blank" href="http://www.xujiwei.cn/blog/">HotHeart</a>, All Rights Reserved
	</div>
	</div>
</body>
</html>
</xsl:template>

<xsl:template match="info">
	<div id="header"><h1><xsl:value-of select="user"/>'s guestbook</h1></div>
	<div id="navbar">
		<span class="nav_left">
			<a title="visit host's homepage"><xsl:attribute name="href"><xsl:value-of select="home"/></xsl:attribute>Home</a> |
			<xsl:if test="pagenow>1"><a title="jump to first page"><xsl:attribute name="href">gbook.asp?page=1</xsl:attribute>First</a></xsl:if><xsl:if test="pagenow&lt;=1">First</xsl:if> |
			<xsl:if test="pagenow>1"><a title="turn to prevous page"><xsl:attribute name="href">gbook.asp?page=<xsl:value-of select="pageprev"/></xsl:attribute>Prev</a></xsl:if><xsl:if test="pagenow&lt;=1">Prev</xsl:if> |
			<xsl:if test="pagenow&lt;pagetotal"><a title="turn to next page"><xsl:attribute name="href">gbook.asp?page=<xsl:value-of select="pagenext"/></xsl:attribute>Next</a></xsl:if><xsl:if test="pagenow>=pagetotal">Next</xsl:if> |
			<xsl:if test="pagenow&lt;pagetotal"><a title="jump to last page"><xsl:attribute name="href">gbook.asp?page=<xsl:value-of select="pagetotal"/></xsl:attribute>Last</a></xsl:if><xsl:if test="pagenow>=pagetotal">Last</xsl:if> |
			TOTAL: <xsl:value-of select="msgtotal"/> |
			PAGE: <xsl:value-of select='pagenow'/>/<xsl:value-of select='pagetotal'/>
		</span>
		<span class="nav_right">
			<a href="#writenew" title="write a new message">Write</a> | <form name="admin_login" method="post">
			<xsl:choose>
				<xsl:when test="logined='NO'">
					<xsl:attribute name="action">gbook.asp?action=login</xsl:attribute><input size="12" maxlength="10" type="password" name="admin_pass"/> <input title="login to manage messages" class="input_button" type="submit" value="login"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="action">gbook.asp?action=logout</xsl:attribute><input title="logout" class="input_button" type="submit" value="logout"/>
				</xsl:otherwise>
			</xsl:choose>
			</form>
		</span>
	</div>
</xsl:template>

<xsl:template match="messages">
	<xsl:for-each select="message">
	<div class="msg_block">
		<div class="msg_header">
			<span class="msg_header_title"><strong><a target="_blank" title="visit his/her homepage"><xsl:attribute name="href"><xsl:value-of select="homepage" /></xsl:attribute><xsl:value-of select="username" /></a></strong>　　post at <xsl:value-of select="time"/></span>
			<span class="msg_header_right">
				<xsl:if test="id!=''"><strong><a title="delete this message"><xsl:attribute name="href">gbook.asp?action=del&amp;id=<xsl:value-of select="id" /></xsl:attribute>X</a></strong></xsl:if>
			</span>
		</div>
		<div class="msg_content"><xsl:value-of select="content"/></div>
	</div>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
